
Figure - Bug #118710
【IOVDEV-33665】【自动化测试】【稳定性测试】【VC1】【副屏】三方应用Crash
2023-06-09 15:19 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-09

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本】：01.00.0106��【中控版本】：03.02.0088.C103

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【测试手顺】：副屏执行monkey稳定性测试

【预期结果】：无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

【实际结果】：三方应用报错：ANR/Crash/tombstone

【测试环境】：中控+AMP+副屏

备注：

此票用以跟踪三方应用Crash，各版本详细信息见comment

History

#1 - 2023-06-09 15:19 - CDTS_Test 吴诗雨

【测试环境】：中控+AMP+副屏

【副屏版本】：01.00.0106

【中控版本】：03.02.0088.C103

【VIN】：HRYTTESTVINMGM816

【全量日志】：https://ofs.human-horizons.com/#/download/index/O8jsc%2BKqeU4%3D

【三方应用crash列表】：

{'com.youku.phone发生ANR次数': 2, 'com.tencent.qqlive发生ANR次数': 4, 'com.moji.mjweather发生ANR次数': 1, 'com.cmcc.cmvideo发生ANR次数': 4,

'com.tencent.qqmusic发生ANR次数': 3, 'com.ss.android.auto发生ANR次数': 6, 'com.qiyi.video发生ANR次数': 4, 'com.duowan.kiwi发生ANR次数': 4,

'com.cubic.autohome发生ANR次数': 1, 'com.ss.android.ugc.live发生ANR次数': 6, 'ctrip.android.view发生ANR次数': 3, 'com.huawei.appmarket发生ANR次数': 2,

'com.netease.cloudmusic发生ANR次数': 1, 'com.netease.cloudmusic:browser发生ANR次数': 3}

#2 - 2023-06-09 15:23 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118710

#3 - 2023-06-09 17:00 - CD FW 曹覃刚

■ 我的分析

-----------------------------
11-11 09:57:37.957  1565 23556 E ActivityManager: ANR in com.tencent.qqlive

11-11 09:57:37.957  1565 23556 E ActivityManager: PID: 553

11-11 09:57:37.957  1565 23556 E ActivityManager: Reason: executing service com.tencent.qqlive/.modules.vb.loginservice.LoginDaemon

11-11 09:57:37.957  1565 23556 E ActivityManager: Frozen: false

11-11 09:57:37.957  1565 23556 E ActivityManager: Load: 45.74 / 64.71 / 68.9

11-11 09:57:37.957  1565 23556 E ActivityManager: ----- Output from /proc/pressure/memory -----

11-11 09:57:37.957  1565 23556 E ActivityManager: some avg10=14.13 avg60=21.08 avg300=30.65 total=8794826075

11-11 09:57:37.957  1565 23556 E ActivityManager: full avg10=0.68 avg60=1.15 avg300=1.43 total=491252635

11-11 09:57:37.957  1565 23556 E ActivityManager: ----- End output from /proc/pressure/memory -----

11-11 09:57:37.957  1565 23556 E ActivityManager: 

11-11 09:57:37.957  1565 23556 E ActivityManager: CPU usage from 0ms to 22646ms later (2022-11-11 09:57:15.254 to 2022-11-11 09:57:37.900):

11-11 09:57:37.957  1565 23556 E ActivityManager:   90% 2745/hht_ota_mgr: 36% user + 53% kernel

11-11 09:57:37.957  1565 23556 E ActivityManager:   62% 17213/com.zhihu.android: 48% user + 13% kernel / faults: 85837 minor 44 major

...

11-11 09:57:37.957  1565 23556 E ActivityManager: 92% TOTAL: 45% user + 40% kernel + 2% iowait + 2.6% irq + 1.4% softirq

11-11 09:57:37.957  1565 23556 E ActivityManager: CPU usage from 72ms to 648ms later (2022-11-11 09:57:15.326 to 2022-11-11 09:57:15.902)

①cpu占用超90%

11-11 09:57:46.323  1565  2636 I am_meminfo: [396775424,208973824,1354592256,810651648,910783488]

②内存剩余200M，总的8G，内存占用极高

③检查anr的trace文件，没有死锁等异常，单纯是因为设备负载拉满了(①②点)，处理内容缓慢，导致超时发生大量anr

④在不安装额外应用的设备中跑moneky，基本不会有anr发生

⑤hht_ota_mgr经常占用较高cpu使用率

-----------------------------

原因为上述分析的⑤点，根本原因可以归结为，monkey测试时，启动了太多的应用与后台任务，造成cpu和内存拉满，导致设备响应慢

对于这个问题的处理方式

1.待后台任务数量控制功能开发完成，应该会有改善

2.hht_ota_mgr待客户分析

3.持续的系统优化需求开发...

#4 - 2023-06-13 15:06 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

转到JIRA上跟踪

#5 - 2023-07-12 15:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2023-07-12 15:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
